import 'package:dio/dio.dart';
import 'package:flutter_tracker/dio/api.dart';
import 'package:flutter_tracker/model/user_model.dart';

class LoginDao {
  static Map<String, dynamic> params = Map<String, dynamic>();

  static Future<UserModel> login(String username, String password) async {
    params.addAll({"username": username, "password": password});
    Response response = await Dio().post(Api.login, queryParameters: params);
    return UserModel.fromJson(response.data);
  }

  static Future<bool> logout(String token) async {
    params.addAll({"token": token});
    Response response = await Dio().get(Api.logout);
    return true;
  }
}