import 'package:flutter/material.dart';
import 'package:flutter_tracker/pages/home_page.dart';
import 'package:flutter_tracker/pages/mine_page.dart';

class IndexPage extends StatefulWidget {
  const IndexPage({Key key}) : super(key: key);

  @override
  _IndexPageState createState() => _IndexPageState();
}

class _IndexPageState extends State<IndexPage> {
  int navIndex = 0;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Color(0xF1F6F9ff),
        body: Column(
          children: [
            TopMenu(),
            Expanded(
                child: Row(children: [
              Expanded(
                child: LeftMenu(navIndex, (int index) {
                  setState(() {
                    navIndex = index;
                  });
                }),
                flex: 1,
              ),
              Expanded(
                child: Builder(
                  builder: (context) {
                    switch (navIndex) {
                      case 0:
                        return HomePage();
                      case 1:
                        return MinePage();
                      default:
                        return HomePage();
                    }
                  },
                ),
                flex: 11,
              )
            ]))
          ],
        ));
  }
}
